--NECB PvE localized cast/cooldown Database; Afflictions are still stored in MAIN programme!

if ( GetLocale() == "deDE" ) then

	CEnemyCastBar_Spells = {

		-- IMPORTANT: Maybe some spells which cause debuffs have to be moved to CEnemyCastBar_Afflictions to be shown
		-- "t=x" defines the normal length of the castbar. "d=x" will add a cooldown timer for spells with a casttime and for gains.
		-- "g=0" prevents a bar if a player gains this spell. "g=x" shows a bar of x seconds instead of "t=x" if it's a gain.
		-- "i=x" shows a bar of x seconds additional to "t" (everytime)
		-- HoT=true, spell stacks of HoTs will be counted; spell is able to be updated by player casts on target
		-- onfade=true, cooldown timer will be reset to full duration if the spell fades (to have an exact timing for 'Inner Focus' etc.)
		-- icasted=true, used for instant casts ("Player xy casts spell.")
		-- cgain=true, are able to be updated by player casts on target (HoT=true and cgain=true are beeing treated the same by the update feature.)

		-- All Classes
			-- General
		["Ruhestein"] = {t=10.0, icontex="INV_Misc_Rune_01"};

			-- Trinkets & Racials
		["Spr\195\182der R\195\188stung"] = 	{t=20.0, d=120, icontex="Spell_Shadow_GrimWard"}; -- gain
		["Instabile Macht"] = 			{t=20.0, d=120, icontex="Spell_Lightning_LightningBolt01"}; -- gain
		["Ruhelose St\195\164rke"] = 		{t=20.0, d=120, icontex="Spell_Shadow_GrimWard"}; -- gain
		["Ephemere Macht"] = 			{t=15.0, d=90, icontex="Spell_Holy_MindVision"}; -- gain
		["Arkane Macht"] = 			{t=15.0, d=180, icontex="Spell_Nature_Lightning"}; -- gain
		["Massive Zerst\195\182rung"] = 	{t=20.0, d=180, icontex="Spell_Fire_WindsofWoe"}; -- gain
		["Arkane Kraft"] = 			{t=20.0, d=180, icontex="Spell_Arcane_StarFire"}; -- gain
		["Energiegeladener Schild"] = 		{t=20.0, d=180, icontex="Spell_Nature_CallStorm"}; -- gain
		["Glei\195\159endes Licht"] = 		{t=20.0, d=180, icontex="Spell_Holy_MindVision"}; -- gain
		["Wille der Vergessenen"] = 		{t=5.0, d=120, icontex="Spell_Shadow_RaiseDead"}; -- gain
		["Wachsamkeit"] = 			{t=20.0, d=180, icontex="Spell_Nature_Sleep"}; -- gain
		["Mar'lis fokussierte Gedanken"] = 	{t=30.0, d=180, icontex="INV_ZulGurubTrinket"}; -- gain
		["Kriegsstampfen"] = 			{t=0.5, d=120, icontex="Ability_WarStomp"};
		["Steinform"] = 			{t=8.0, d=180, icontex="Spell_Shadow_UnholyStrength"};

		["Erdsto\195\159"] = 			{t=20.0, d=120, icontex="Spell_Nature_AbolishMagic"}; -- gain
		["Geschenk des Lebens"] = 		{t=20.0, d=300, icontex="INV_Misc_Gem_Pearl_05"}; -- gain
		["Naturverbundenheit"] = 		{t=20.0, d=300, icontex="Spell_Nature_SpiritArmor"}; -- gain

		["Gabe der Naaru"] = 			{t=1.5, g=15.0, HoT=true, icontex="Spell_Holy_HolyProtection"}; -- BC HoT Draenei

			-- Engineering
		["Frostreflektor"] = 			{t=5.0, d=300.0, icontex="Spell_Frost_FrostWard"}; -- gain
		["Schattenreflektor"] = 		{t=5.0, d=300.0, icontex="Spell_Shadow_AntiShadow"}; -- gain
		["Feuerreflektor"] = 			{t=5.0, d=300.0, icontex="Spell_Fire_SealOfFire"}; -- gain

			-- First Aid
		["Erste Hilfe"] = 			{t=8.0, d=60, icontex="Spell_Holy_Heal"}; -- gain
		                                                                                                      
		-- Druid                                                                                              
		["Heilende Ber\195\188hrung"] = 	{t=3.0, icontex="Spell_Nature_HealingTouch"};
		["Nachwachsen"] = 			{t=2.0, g=21.0, HoT=true, icontex="Spell_Nature_ResistNature"};
		["Wiedergeburt"] = 			{t=2.0, d=1800.0, icontex="Spell_Nature_Reincarnation"};
		["Sternenfeuer"] = 			{t=3.0, icontex="Spell_Arcane_StarFire"};      
		["Zorn"] = 				{t=1.5, icontex="Spell_Nature_AbolishMagic"};
		["Wucherwurzeln"] = 			{t=1.5, icontex="Spell_Nature_StrangleVines"};
		["Spurt"] = 				{t=15.0, d=300.0, icontex="Ability_Druid_Dash"}; -- gain
		["Winterschlaf"] = 			{t=1.5, icontex="Spell_Nature_Sleep"};                        
		["Tier bes\195\164nftigen"] = 		{t=1.5, icontex="Ability_Hunter_BeastSoothe"};
		["Baumrinde"] = 			{t=15.0, d=60, icontex="Spell_Nature_StoneClawTotem"}; -- gain
		["Anregen"] = 				{t=20.0, cgain=true, icontex="Spell_Nature_Lightning"}; -- gain
		["Teleportieren: Mondlichtung"] = 	{t=10.0, icontex="Spell_Arcane_TeleportMoonglade"};
		["Tigerfuror"] = 			{t=6.0, icontex="Ability_Mount_JungleTiger"}; -- gain
		["Rasende Regeneration"] = 		{t=10.0, d=180.0, icontex="Ability_BullRush"}; -- gain
		["Verj\195\188ngung"] = 		{t=12.0, HoT=true, icontex="Spell_Nature_Rejuvenation"}; -- gain
		["Vergiftung aufheben"] = 		{t=8.0, cgain=true, icontex="Spell_Nature_NullifyPoison_02"}; -- gain
		["Gelassenheit"] = 			{t=8.0, d=600.0, icontex="Spell_Nature_Tranquility"}; --BC
		["Griff der Natur"] = 			{t=45, d=60, icontex="Spell_Nature_NaturesWrath"}; -- talent gain
		["Wirbelsturm"] = 			{t=1.5, icontex="Spell_Nature_EarthBind"}; --2.0
		["Bl\195\188hendes Leben"] = 		{t=7, cgain=true, icontex="INV_Misc_Herb_Felblossom"}; -- gain --2.0
		["Naturgewalt"] = 			{t=30, d=180, icasted=true, icontex="Ability_Druid_ForceofNature"}; -- gain --2.0
		["Schnelligkeit der Natur"] =		{d=180, onfade=true, icontex="Spell_Nature_RavenForm"}; -- gain --2.0
		
		-- Hunter
		["Gezielter Schuss"] = 			{t=3.0, d=6.0, icontex="INV_Spear_07"};
		["Wildtier \195\164ngstigen"] = 	{t=1.0, d=30.0, icontex="Ability_Druid_Cower"};
		["Salve"] = 				{t=6.0, d=60.0, icontex="Ability_Marksmanship"};
		["Tier freigeben"] = 			{t=5.0, icontex="Spell_Nature_SpiritWolf"};
		["Tier wiederbeleben"] = 		{t=10.0, icontex="Ability_Hunter_BeastSoothe"};
		["Augen des Wildtiers"] = 		{t=2.0, icontex="Ability_EyeOfTheOwl"};
		["Schnellfeuer"] = 			{t=15.0, d=300.0, icontex="Ability_Hunter_RunningShot"}; -- gain
		["Abschreckung"] = 			{t=10, d=300.0, icontex="Ability_Whirlwind"}; -- gain
		["Mehrfachschuss"] = 			{d=10.0, icontex="Ability_UpgradeMoonGlaive"};
		["Zorn des Wildtiers"] = 		{t=18, d=120.0, icontex="Ability_Druid_FerociousBite"}; -- Pet gain
		["Wildes Herz"] = 			{t=18, d=120, icontex="Ability_Hunter_BeastWithin"}; -- gain, Talent --2.0
		["Bereitschaft"] = 			{d=300, icasted=true, icontex="Ability_Hunter_Readiness"}; -- Talent --2.0


		
		-- Mage
		["Frostblitz"] = {t=2.5, icontex="Spell_Frost_FrostBolt02"};
		["Feuerball"] = {t=3.0, icontex="Spell_Fire_FlameBolt"};
		["Verwandlung"] = {t=1.5, icontex="Spell_Nature_Polymorph"};
		["Verwandlung: Schwein"] = {t=1.5, icontex="Spell_Magic_PolymorphPig"};
		["Verwandlung: Schildkr\195\182te"] = {t=1.5, icontex="Ability_Hunter_Pet_Turtle"};
		["Pyroschlag"] = {t=6.0, icontex="Spell_Fire_Fireball02"};
		["Versenegen"] = {t=1.5, icontex="Spell_Fire_SoulBurn"};
		["Flammensto\195\159"] = {t=3.0, r="Brutw\195\164chter der Todeskrallen", a=2.5, icontex="Spell_Fire_SelfDestruct"};
		["Langsamer Fall"] = {t=30.0, icontex="Spell_Magic_FeatherFall"}; -- gain
		["Feuerzauberschutz"] = {t=30.0, icontex="Spell_Fire_FireArmor"}; -- gain
		["Frostzauberschutz"] = {t=30.0, icontex="Spell_Frost_FrostWard"}; -- gain
		["Hervorrufung"] = {t=8.0, icontex="Spell_Nature_Purge"}; -- gain
		["Eisblock"] = {t=10.0, d=300.0, icontex="Spell_Frost_Frost"}; -- gain
		["Eisbarriere"] = {d=30.0, icontex="Spell_Ice_Lament"};
		["Blinzeln"] = {d=15.0, icontex="Spell_Arcane_Blink"};
		["Unsichtbarkeit"] = {t=8, d=300, icontex="Ability_Mage_Invisibility"}; -- gain --2.0
		["Wasserblitz"] = {t=2.5, icontex="Spell_Frost_FrostBolt"}; -- Mage Talent ('Pet' Spell) --2.0
		["Arkanschlag"] = {t=2.5, icontex="Spell_Arcane_Blast"}; --2.0
		["Wasserelementar beschw\195\182ren"] = {t=45, d=180, icasted=true, icontex="Spell_Frost_SummonWaterElemental_2"}; --2.0 Talent
		["K\195\164lteeinbruch"] = {d=600, icasted=true, icontex="Spell_Frost_WizardMark"};
		["Geistesgegenwart"] = {d=180, onfade=true, icontex="Spell_Nature_EnchantArmor"}; -- gain
		["Verbrennung"] = {d=180, icontex="Spell_Fire_SealOfFire"}; -- gain
		
		
		-- Paladin
		["Heiliges Licht"] = {t=2.5, icontex="Spell_Holy_HolyBolt"};
		["Lichtblitz"] = {t=1.5, icontex="Spell_Holy_FlashHeal"};
		["Streitross beschw\195\182ren"] = {t=3.0, g=0.0, icontex="Ability_Mount_Charger"};
		["Schlachtross beschw\195\182ren"] = {t=3.0, g=0.0, icontex="Spell_Nature_Swiftness"};
		["Hammer des Zorns"] = {t=1.0, d=6.0, icontex="Ability_ThunderClap"};
		["Heiliger Zorn"] = {t=2.0, d=60.0, icontex="Spell_Holy_Excorcism"};
		["Untote vertreiben"] = {t=1.5, d=30.0, icontex="Spell_Holy_TurnUndead"};
		["Erl\195\182sung"] = {t=10.0, icontex="Spell_Holy_Resurrection"};
		["G\195\182ttlicher Schutz"] = {t=8.0, d=300.0, icontex="Spell_Holy_Restoration"}; -- gain
		["Gottesschild"] = {t=12.0, d=300.0, icontex="Spell_Holy_DivineIntervention"}; -- gain
		["Segen der Freiheit"] = {t=16.0, icontex="Spell_Holy_SealOfValor"}; -- gain
		["Segen des Schutzes"] = {t=10.0, d=300.0, icontex="Spell_Holy_SealOfProtection"}; -- gain
		["Segen der Opferung"] = {t=30.0, icontex="Spell_Holy_SealOfSacrifice"}; -- gain
		["Rache"] = {t=8.0, icontex="Ability_Racial_Avatar"}; -- gain, Talent
		["Zornige Vergeltung"] = {t=20, d=180, icontex="Spell_Holy_AvengineWrath"}; -- gain --2.0
		["G\195\182ttliche Eingebung"] = {t=15, d=180, icontex="Spell_Holy_DivineIllumination"}; -- gain, Talent --2.0
		["Schild des Rchers"] = {t=1, d=30, icontex="Spell_Holy_AvengersShield"}; -- Talent --2.0
		["G\195\182ttliche Gunst"] = {d=120, onfade=true, icontex="Spell_Holy_Heal"}; -- gain, Talent --2.0
		["Heiliger Schild"] = {t=10, icontex="Spell_Holy_BlessingOfProtection"}; -- gain
		["Heiliger Schock"] = {d=15, icasted=true, icontex="Spell_Holy_SearingLight"}; -- gain


		
		-- Priest
		["Gro\195\159e Heilung"] = {t=2.5, g=15, HoT=true, icontex="Spell_Holy_GreaterHeal"};
		["Heilen"] = {t=2.5, icontex="Spell_Holy_Heal"};
		["Blitzheilung"] = {t=1.5, icontex="Spell_Holy_FlashHeal"};
		["Auferstehung"] = {t=10.0, icontex="Spell_Holy_Resurrection"};
		["G\195\182ttliche Pein"] = {t=2.0, icontex="Spell_Holy_HolySmite"};
		["Gedankenschlag"] = {t=1.5, d=8.0, icontex="Spell_Shadow_UnholyFrenzy"};
		["Gedankenkontrolle"] = {t=3.0, g=0.0, icontex="Spell_Shadow_ShadowWordDominate"};
		["Manabrand"] = {t=3.0, icontex="Spell_Shadow_ManaBurn"};
		["Heiliges Feuer"] = {t=3.0, icontex="Spell_Holy_SearingLight"};
		["Gedankenbes\195\164nftigung"] = {t=1.5, icontex="Spell_Holy_MindSooth"};
		["Gebet der Heilung"] = {t=3.0, icontex="Spell_Holy_PrayerOfHealing02"};
		["Untote fesseln"] = {t=1.5, icontex="Spell_Nature_Slow"};
		["Verblassen"] = {t=10.0, d=30.0, icontex="Spell_Magic_LesserInvisibilty"}; -- gain
		["Erneuerung"] = {t=15.0, HoT=true, icontex="Spell_Holy_Renew"}; -- gain
		["Krankheit aufheben"] = {t=20.0, cgain=true, icontex="Spell_Nature_NullifyDisease"}; -- gain
		["R\195\188ckkopplung"] = {t=15.0, icontex="Spell_Shadow_RitualOfSacrifice"}; -- gain
		["Inspiration"] = {t=15.0, icontex="INV_Shield_06"}; -- gain (target), Talent
		["Seele der Macht"] = {t=15.0, icontex="Spell_Holy_PowerInfusion"}; -- gain, Talent
		["Fokussiertes Zauberwirken"] = {t=6.0, icontex="Spell_Arcane_Blink"}; -- gain, Talent
		["Machtwort: Schild"] = {t=30, d=15.0, icontex="Spell_Holy_PowerWordShield"}; -- gain
		["R\195\188stung des Glaubens"] = {t=30.0, icontex="Spell_Holy_BlessingOfProtection"}; -- gain, Priest Tier 3 [Vestments of Faith] 4/9 Proc
		["Innerer Fokus"] = {d=180, onfade=true, icontex="Spell_Frost_WindWalkOn"}; -- gain, Talent
		["Massenbannung"] = {t=1.5, icontex="Spell_Arcane_MassDispel"}; --2.0
		["Verbindende Heilung"] = {t=1.5, icontex="Spell_Holy_BlindingHeal"}; --2.0
		["Schmerzunterdr\195\188ckung"] = {t=8, d=180, icontex="Spell_Holy_PainSupression"}; -- gain, Talent --2.0
		["Vampirber\195\188rung"] = {t=1.5, icontex="Spell_Holy_Stoicism"}; -- Talent --2.0 lvl50!
		["Brunnen des Lichts"] = {t=1.5, d=360, icontex="Spell_Holy_SummonLightwell"}; -- Talent
		["Schattengeist"] = {t=15, d=300, icasted=true, icontex="Spell_Shadow_Shadowfiend"}; --2.0


		-- Rogue
		["Falle entsch\195\164rfen"] = {t=2.0, icontex="Spell_Shadow_GrimWard"};
		["Sprinten"] = {t=15.0, d=300.0, icontex="Ability_Rogue_Sprint"}; -- gain
		["Schloss knacken"] = {t=5.0, icontex="Spell_Nature_MoonKey"};
		["Entrinnen"] = {t=15.0, d=300, icontex="Spell_Shadow_ShadowWard"}; -- gain
		["Verschwinden"] = {t=10.0, d=300, icontex="Ability_Vanish"}; -- gain
		["Klingenwirbel"] = {t=15.0, d=120, icontex="Ability_Rogue_SliceDice"}; -- gain
		["Kaltbl\195\188tigkeit"] = {d=180, onfade=true, icontex="Spell_Ice_Lament"}; -- gain, Talent
		["Adrenalinrausch"] = {t=15, d=300, icontex="Spell_Shadow_ShadowWordDominate"}; -- gain, Talent --2.0
		["Mantel der Schatten"] = {t=5, d=60, icontex="Spell_Shadow_NetherCloak"}; -- gain --2.0
		["Vorbereitung"] = {d=600, icasted=true, icontex="Spell_Shadow_AntiShadow"}; -- Talent
		["Schattenschritt"] = {t=10, d=20, icontex="Ability_Rogue_Shadowstep"}; -- gain
		
		-- Shaman
		["Geringe Welle der Heilung"] = {t=1.5, icontex="Spell_Nature_HealingWaveLesser"};
		["Welle der Heilung"] = {t=2.5, icontex="Spell_Nature_MagicImmunity"}; -- talent
		["Geist der Ahnen"] = {t=10.0, icontex="Spell_Nature_Regenerate"};
		["Kettenblitzschlag"] = {t=1.5, d=6.0, icontex="Spell_Nature_ChainLightning"}; -- Talent counted
		["Geisterwolf"] = {t=1.0, icontex="Spell_Nature_SpiritWolf"};
		["Astraler R\195\188ckruf"] = {t=10.0, icontex="Spell_Nature_AstralRecal"};
		["Kettenheilung"] = {t=2.5, icontex="Spell_Nature_HealingWaveGreater"};
		["Blitzschlag"] = {t=2.0, icontex="Spell_Nature_Lightning"}; -- Talent counted
		["Fernsicht"] = {t=2.0, icontex="Spell_Nature_FarSight"};
		["Totem der Steinklaue"] = {t=15.0, d=30.0, icasted=true, icontex="Spell_Nature_StoneClawTotem"}; -- gain
		["Totem der Manaflut"] = {t=12.0, d=300.0, icasted=true, icontex="Spell_Frost_SummonWaterElemental"};  -- gain
		["Totem der Feuernova"] = {t=5.0, d=15.0, icasted=true, icontex="Spell_Fire_SealOfFire"}; -- gain
		["Sturmschlag"] = {t=12.0, d=10, icontex="Spell_Holy_SealOfMight"}; -- gain, Talent
		["Seelenst\195\164rke der Ahnen"] = {t=15.0, icontex="Spell_Nature_UndyingStrength"}; -- gain (target), Talent
		["Pfad der Heilung"] = {t=15.0, icontex="Spell_Nature_HealingWay"}; -- gain (target), Talent
		["Totem der Erdung"] = {d=15.0, icasted=true, icontex="Spell_Nature_GroundingTotem"};
		["Elementarbeherrschung"] = {d=180, onfade=true, icontex="Spell_Nature_WispHeal"}; -- gain, Talent
		["Schamanistische Wut"] = {t=30, d=120, icontex="Spell_Nature_ShamanRage"}; -- gain, Talent --2.0
		["Totem des Feuerelementars"] = {d=1200, icasted=true, icontex="Spell_Fire_Elemental_Totem"}; -- gain --2.0
		["Heilung der Ahnen"] = {t=15.0, icontex="Spell_Nature_UndyingStrength"}; -- gain (target), Talent

		
		-- Warlock
		["Schattenblitz"] = {t=2.5, icontex="Spell_Shadow_ShadowBolt"};
		["Feuerbrand"] = {t=1.5, icontex="Spell_Fire_Immolation"};
		["Seelenfeuer"] = {t=20.0, d=60.0, icontex="Spell_Fire_Fireball02"};
		["Sengender Schmerz"] = {t=1.5, icontex="Spell_Fire_SoulBurn"};
		["Wichtel beschw\195\182ren"] = {t=6.0, icontex="Spell_Shadow_Imp"};
		["Sukkubus beschw\195\182ren"] = {t=6.0, icontex="Spell_Shadow_SummonSuccubus"};
		["Leerwandler beschw\195\182ren"] = {t=6.0, icontex="Spell_Shadow_SummonVoidWalker"};
		["Teufelsj\195\164ger beschw\195\182ren"] = {t=6.0, icontex="Spell_Shadow_SummonFelHunter"};
		["Furcht"] = {t=1.5, icontex="Spell_Shadow_Possession"};
		["Schreckensgeheul"] = {t=2.0, d=40.0, g=0.0, icontex="Spell_Shadow_DeathScream"};
		["Verbannen"] = {t=1.5, icontex="Spell_Shadow_Cripple"};
		["Ritual der Beschw\195\182rung"] = {t=5.0, icontex="Spell_Shadow_Twilight"};
		["Ritual der Verdammnis"] = {t=10.0, icontex="Spell_Shadow_AntiMagicShell"};
		["D\195\164monensklave"] = {t=3.0, icontex="Spell_Shadow_EnslaveDemon"};
		["Inferno"] = {t=2.0, d=3600, icontex="Spell_Fire_Incinerate"};
		["Schatten-Zauberschutz"] = {t=30.0, icontex="Spell_Shadow_AntiShadow"}; -- gain
		["Fluch verst\195\164rken"] = {d=180, onfade=true, icontex="Spell_Shadow_Contagion"}; -- gain
		["Saat der Verderbnis"] = {t=2, icontex="Spell_Shadow_SeedOfDestruction"}; --2.0
		["Ritual der Seelen"] = {t=3, d=300, icontex="Spell_Shadow_Shadesofdarkness"}; --2.0
		["Verbrennen"] = {t=2.5, icontex="Spell_Fire_FlameShock"}; --2.0
		["Instabiles Gebrechen"] = {t=1.5, icontex="Spell_Shadow_UnstableAffliction_3"}; --2.0
		["Schattenfurie"] = {t=0.5, d=20, icontex="Spell_Shadow_Shadowfury"}; --2.0
		["Teufelswache beschw\195\182ren"] = {t=6, icontex="Spell_Shadow_SummonFelGuard"}; --2.0
		["Teufelsbeherrschung"] = {d=900, onfade=true, icontex="Spell_Shadow_SummonFelGuard"}; -- gain, talent

			-- Imp
			["Feuerblitz"] = {t=1.5, icontex="Spell_Fire_FireBolt"};
			
			-- Succubus
			["Verf\195\188hrung"] = {t=1.5, icontex="Spell_Shadow_MindSteal"};
			["Bes\195\164nftigender Kuss"] = {t=4.0, d=4.0, icontex="Spell_Shadow_SoothingKiss"};
			
			-- Voidwalker
			["Schatten verzehren"] = {t=10.0, icontex="Spell_Shadow_AntiShadow"}; -- gain

		
		-- Warrior
		["Blutrausch"] = {t=10.0, d=60, icontex="Ability_Racial_BloodRage"}; -- gain
		["Blutdurst"] = {t=8.0, d=6, icontex="Spell_Nature_BloodLust"}; -- gain
		["Schildwall"] = {t=10.0, d=1800.0, icontex="Ability_Warrior_ShieldWall"}; -- gain
		["Tollk\195\188hnheit"] = {t=15.0, d=1800.0, icontex="Ability_CriticalStrike"}; -- gain
		["Gegenschlag"] = {t=15.0, d=1800.0, icontex="Ability_Warrior_Challange"}; -- gain
		["Berserkerwut"] = {t=10.0, d=30, icontex="Spell_Nature_AncestralGuardian"}; -- gain
		["Letztes Gefecht"] = {t=20.0, d=480, icontex="Spell_Holy_AshesToAshes"}; -- gain
		["Todeswunsch"] = {t=30.0, d=180, icontex="Spell_Shadow_DeathPact"}; -- gain
		-- ["Wutanfall"] = {t=12.0, icontex="Spell_Shadow_UnholyFrenzy"}; -- gain
		["Schildblock"] = {t=6, icontex="Ability_Defend"}; -- gain, 1 Talent point in impr. block
		["Siegesrausch"] = {t=30, icontex="Ability_Warrior_Devastate"}; -- gain --2.0
		["Zauberreflexion"] = {t=5, d=10, icontex="Ability_Warrior_ShieldReflection"}; -- gain --2.0
		["Toben"] = {t=30, icontex="Ability_Warrior_Rampage"}; -- gain --2.0

		
	}

end