-- CEnemyCastBar Chinese Traditional localization file
-- Maintained by: Kuraki, Suzuna
-- Last updated:
-- Revision History:
--    09/01/2006  * 5.1.7 zhTW support init
--    09/07/2006  * 5.1.7 zhTW support test 1
--    09/11/2006  * 5.1.7 zhTW support test 2
--    09/18/2006  * 5.1.7 zhTW support final
--    09/25/2006  * 5.2.7 zhTW support init
--    09/26/2006  * 5.2.7 zhTW support test 1
--    09/29/2006  * 5.3.0 zhTW support
--    10/03/2006  * 5.3.0b zhTW support

if ( GetLocale() == "zhTW" ) then

	-- Stored in load on demand PvP module!
	CEnemyCastBar_Spells = { }

	-- Stored in load on demand PvE module!
	CEnemyCastBar_Raids = { }

	-- Stored in load on demand Debuffs module!
	CEnemyCastBar_Afflictions = { }


    -- Event Pattern
    CEnemyCastBar_MOB_DIES                  = "(.+)死亡"
    CEnemyCastBar_SPELL_GAINS               = "(.+)獲得了(.+)的效果。"
    CEnemyCastBar_SPELL_CAST                = "(.+)開始施放(.+)。";
    CEnemyCastBar_SPELL_PERFORM             = "(.+)開始施展(.+)。"
    CEnemyCastBar_SPELL_CASTS               = "(.+)施放了(.+)。"
    CEnemyCastBar_SPELL_AFFLICTED           = "(.+)受到了(.+)效果的影響";
    CEnemyCastBar_SPELL_AFFLICTED2          = "(.+)受到(.+)的傷害";

    -- Natufreund
    CEnemyCastBar_SPELL_HITS                = "(.+)的(.+)擊中(.+)造成(.+)";
	--		                          mob spell   target      damage


    CEnemyCastBar_SPELL_FADE                = "(.+)效果從(.+)身上消失。";
    --          		                effect          mob

    CEnemyCastBar_SPELL_REMOVED             = "(.+)的(.+)被(.+)移除了。"
    --                          		mob spell
    -- It is an extra check to see if an affliction has fade off

    CEnemyCastBar_SPELL_INTERRUPTED             = "你打斷了(.+)的(.+)";
			    --                                  mob spell
    CEnemyCastBar_SPELL_INTERRUPTED_OTHER           = "(.+)打斷了(.+)的(.+)";
    --                  			        interrupter mob spell


-- Maybe this works in zhTW, too?! I am not sure, since I can't simulate it. Uncomment the lines to test it :D
--[[
	-- Event Patterns	
	CEnemyCastBar_MOB_DIES					= NECB_ConvertPattern(UNITDIESOTHER);				--UNITDIESOTHER = "%s stirbt.";

	CEnemyCastBar_SPELL_GAINS 				= NECB_ConvertPattern(AURAADDEDOTHERHELPFUL);			--AURAADDEDOTHERHELPFUL = "%1$s bekommt '%2$s'."; -- Combat log text for aura events
	CEnemyCastBar_SPELL_CAST 				= NECB_ConvertPattern(SPELLCASTOTHERSTART);			--SPELLCASTOTHERSTART = "%1$s beginnt %2$s zu wirken.";
	CEnemyCastBar_SPELL_PERFORM				= NECB_ConvertPattern(SPELLPERFORMOTHERSTART);			--SPELLPERFORMOTHERSTART = "%1$s beginnt %2$s auszuführen.";
	CEnemyCastBar_SPELL_CASTS				= NECB_ConvertPattern(SPELLTERSE_OTHER);			--SPELLTERSE_OTHER = "%1$s wirkt %2$s.";
	CEnemyCastBar_SPELL_AFFLICTED				= NECB_ConvertPattern(AURAADDEDOTHERHARMFUL);			--AURAADDEDOTHERHARMFUL = "%1$s ist von %2$s betroffen."; -- Combat log text for aura events
	CEnemyCastBar_SPELL_AFFLICTED2				= NECB_ConvertPattern(AURAADDEDSELFHARMFUL);			--AURAADDEDSELFHARMFUL = "Ihr seid von %s betroffen."; -- Combat log text for aura events

	CEnemyCastBar_SPELL_HITS 				= NECB_ConvertPattern(SPELLLOGOTHEROTHER);			--SPELLLOGOTHEROTHER = "%1$ss %2$s trifft %3$s für %4$d Schaden.";

	CEnemyCastBar_SPELL_FADE 				= NECB_ConvertPattern(AURAREMOVEDOTHER);			--AURAREMOVEDOTHER = "%1$s schwindet von %2$s.";
	CEnemyCastBar_SPELL_REMOVED 				= NECB_ConvertPattern(AURADISPELOTHER);				--AURADISPELOTHER = "'%2$s' von %1$s wurde entfernt.";
	CEnemyCastBar_SPELL_INTERRUPTED				= NECB_ConvertPattern(SPELLINTERRUPTSELFOTHER);			--SPELLINTERRUPTSELFOTHER = "Ihr unterbrecht %2$s von %1$s.";
	CEnemyCastBar_SPELL_INTERRUPTED_OTHER			= NECB_ConvertPattern(SPELLINTERRUPTOTHEROTHER);		--SPELLINTERRUPTOTHEROTHER = "%1$s unterbricht %3$s von %2$s.";
]]


    CECB_SELF1  = "你";
    CECB_SELF2  = "你";

    -- Misc
    CECB_MISC_IMMUNE = "免疫";
    CECB_SPELL_STUN_DR    = "擊暈遞減";

	-- Internal Spell Names
	CECB_SPELL_FRENZY_CD = "狂亂 (CD)"; -- used in hidebar function!

	NECB_Minimap_Tooltip = "Natur EnemyCastBar "..CECB_status_version_txt;
	NECB_Minimap_Tooltip1 = "|cffffffff按 |cff00ff00右鍵 |cffffffff來移動圖示。"
	NECB_Minimap_Tooltip2 = "|cffffffff(|cff00ff00+ALT|cffffffff = 可以離開小地圖)"
	NECB_Minimap_Tooltip3 = "|cff00ff00ALT + LeftClick|cffffffff = Turn AddOn on/off"
	NECB_Minimap_Tooltip4 = "\nModules loaded:";
	NECB_Minimap_Tooltip5 = "\n|cffff0000All CastBar Systems are deactivated!";

end
